Subject: [rtcweb] About DTLS-SRTP-EKT and key changes

From: Iñaki Baz Castillo <[email-masked]>
Date: Wed, 28 Mar 2012 19:43:10 +0200

Hi all, this is probably a very easy question:

In slide 34 in http://tools.ietf.org/agenda/83/slides/slides-83-rtcweb-3.pdf,
there is a new EKT key from the WebRTC endpoint, and in slide 35 there
is a re-INVITE from the SDES endpoints with (I assume) a new SDES key.

When do such key change occur? I assume it could occur in case a SIP
PBX performs a "hidden" transfer to other local phone by keeping
untouched the SIP dialog in the other leg (in this case the new SIP
destination would provide a different SDES key so it must be sent to
the WebRTC endpoint in the form of a new EKT key, am I right?).

But, does such a key change could occur in simpler cases as for
example "putting on hold"? I hope the answer is NOT.

Thanks a lot for any clarification.

-- 
Iñaki Baz Castillo
<[email-masked]>